﻿using System;

namespace RH.SharePointKonferenz
{
    class Helper
    {
        internal static string GetExeption(Exception ex)
        {
#if DEBUG
            return ex.ToString();
#else
            return ex.Message;
#endif
        }

        /// <summary>
        /// write to the ULS Log (TraceSeverity = Exception)
        /// </summary>
        /// <param name="text"></param>
        internal static void WriteULSError(string text)
        {
            try
            {
                TraceProvider.RegisterTraceProvider();
                TraceProvider.WriteTrace(0, TraceProvider.TraceSeverity.Exception, Guid.Empty, "RH.SharePointKonferenz.dll", "RH.SharePointKonferenz", "General", text);
            }
            catch (Exception)
            {
            }
            finally
            {
                TraceProvider.UnregisterTraceProvider();
            }
        }

        /// <summary>
        /// write to the ULS Log (TraceSeverity = Verbose)
        /// </summary>
        /// <param name="text"></param>
        internal static void WriteULSVerbose(string text)
        {
            try
            {
                TraceProvider.RegisterTraceProvider();
                TraceProvider.WriteTrace(0, TraceProvider.TraceSeverity.Verbose, Guid.Empty, "RH.SharePointKonferenz.dll", "RH.SharePointKonferenz", "General", text);
            }
            catch (Exception)
            {
            }
            finally
            {
                TraceProvider.UnregisterTraceProvider();
            }
        }
    }
}
